extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de fabricantes"
    - var CabeceraListado = ["Fabricantes", "Descripción"]
    - var CantidadListado = "{{ tFabricantes.length }}"
    - var TituloDatos = "Detalles del Fabricante"
    - var TamanoColeccion = "tFabricantes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tFabricanteFor of tFabricantes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Fabricante_Eliminar(tFabricanteFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Fabricante(tFabricanteFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tFabricanteFor.Codfabricante }}
        td
            h6.text-xs.text-nowrap {{ tFabricanteFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-fabricante-cabecera([(Fabricante)]="tFabricanteActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-fabricante-detalle([(Fabricante)]="tFabricanteActual",
                                    [(Configuracion)]="tConfiguracion",
                                    [(ManejarImagenes)]="tManejarImagen")
